<template>
  <div>
    <modal :modal-id="modalId" style="z-index: 10px;">
      <h2 style='margin-bottom: 60px; margin-top: 60px;'>
        Error:
      </h2>
      <h3>{{message}}</h3>
      <button class='btn btn-outline-secondary' @click="toggleModal"> Ok </button>
    </modal>
  </div>
</template>

<script>
export default {
    data () {
      return {
        message: '',
        modalId: `errorModal`
      }
    },
    mounted() {
      this.$root.$on(`displayError`, (errorMessage) => {
        this.message = errorMessage
        this.toggleModal()
      })
    },
    methods: {
      toggleModal() {
        this.$root.$emit(`toggleModal-${this.modalId}`)
      }
    }
  }
</script>
